# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'puma/clocker/version'

Gem::Specification.new do |spec|
  spec.name          = "puma-clocker"
  spec.version       = Puma::Clocker::VERSION
  spec.authors       = ["Syed Humza Shah"]
  spec.email         = ["humzashah+github@gmail.com"]

  spec.summary       = "Rails-on-Puma? Clock your 'rails server' command!"
  spec.homepage      = "https://github.com/humzashah/puma-clocker"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.0.0'

  spec.add_development_dependency "bundler", ">= 1.8"
  spec.add_development_dependency "rake", ">= 10.0"
  spec.add_development_dependency "puma"
  spec.add_development_dependency "rspec"
end
